Bug 1093176 - util-linux using service template file in pre/postun
util-linux using service template file in pre/postun
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Stanislav Brabec
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-14 16:25 UTC by Ruediger Oertel
Modified: 2019-03-05 15:45 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruediger Oertel 2018-05-14 16:25:31 UTC
%service_add_pre raw.service rfkill-block@.service rfkill-unblock@.service
%service_add_post raw.service rfkill-block@.service rfkill-unblock@.service
%service_del_preun raw.service rfkill-block@.service rfkill-unblock@.service
%service_del_postun raw.service rfkill-block@.service rfkill-unblock@.service

a service template (foo@.service) can only be used with a parameter
on the commandline but will not work in the specfile without the parameter.

see also https://discourse.nordisch.org/t/hooking-up-instantiated-services-with-rpm/476
Comment 1 Tomáš Chvátal 2018-05-22 11:55:51 UTC
sr#611230, should be also sent to SLE15.
Comment 3 Swamp Workflow Management 2018-06-05 15:01:20 UTC
This is an autogenerated message for OBS integration:
This bug (1093176) was mentioned in
https://build.opensuse.org/request/show/614320 15.0 / python-libmount
Comment 4 Swamp Workflow Management 2018-06-10 19:50:13 UTC
This is an autogenerated message for OBS integration:
This bug (1093176) was mentioned in
https://build.opensuse.org/request/show/615818 15.0 / util-linux
Comment 5 Swamp Workflow Management 2018-06-12 19:53:59 UTC
openSUSE-RU-2018:1667-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1092820,1093176
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    python-libmount-2.31.1-lp150.7.3.1, util-linux-2.31.1-lp150.7.3.1, util-linux-systemd-2.31.1-lp150.7.3.1
Comment 6 Markéta Machová 2019-03-05 15:45:35 UTC
Apparently fixed.